For discussion of Alpine Linux development and developer support

1

[alpine-devel] [PATCH] testing/lxde-icon-theme APKBUILD

k0r10n
Details
Message ID
<1410926162-12250-1-git-send-email-k0r10n.dev@gmail.com>
Sender timestamp
1410926162
DKIM signature
missing
Download raw message
Patch: +50 -0
---
 aports/testing/lxde-icon-theme/APKBUILD | 50 +++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 aports/testing/lxde-icon-theme/APKBUILD

diff --git a/aports/testing/lxde-icon-theme/APKBUILD b/aports/testing/lxde-icon-theme/APKBUILD
new file mode 100644
index 0000000..793c235
--- /dev/null
+++ b/aports/testing/lxde-icon-theme/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor:
+# Maintainer:
+pkgname=lxde-icon-theme
+pkgver=0.5.0
+pkgrel=0
+pkgdesc="LXDE default icon theme based on nuoveXT2"
+url="http://lxde.org"
+arch="noarch"
+license="GPL"
+depends="gtk+2.0 gtk+3.0"
+depends_dev="gtk+2.0-dev gtk+3.0-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://downloads.sourceforge.net/lxde/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="$srcdir"/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="346e1aecf805892b106b4d4b0f26e5cc  lxde-icon-theme-0.5.0.tar.bz2"
+sha256sums="49dc61c46c4a0ca9298f9e0866bcf7212a08ddaa71f15bfabfb0220fe1efa848  lxde-icon-theme-0.5.0.tar.bz2"
+sha512sums="4ca3e94b5826f7fe87d840feddf0c130fa77e8f14f22a59d9749252a5106d54661237e3c9286f4880d0aaa50bd330cb4bfb9d663ca35d6ee4b9e3c2af30fe9ab  lxde-icon-theme-0.5.0.tar.bz2"
-- 
2.0.0



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20140917164618.144a65f5@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1410926162-12250-1-git-send-email-k0r10n.dev@gmail.com> (view parent)
Sender timestamp
1410965178
DKIM signature
missing
Download raw message
On Wed, 17 Sep 2014 07:56:02 +0400
k0r10n <k0r10n.dev@gmail.com> wrote:

> ---
>  aports/testing/lxde-icon-theme/APKBUILD | 50 +++++++++++++++++++++++++++++++++
>  1 file changed, 50 insertions(+)
>  create mode 100644 aports/testing/lxde-icon-theme/APKBUILD

i piped it via sed -e 's:aports/testing/:testing/:g' and added
coreutils to makedepends. seem like they used cp --preserve-something
that is not supported in busybox cp.

thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---